Bug 1882454 - s390 permafail: local kubeconfig "localhost-recovery.kubeconfig" should be present on all masters and work
Summary: s390 permafail: local kubeconfig "localhost-recovery.kubeconfig" should be pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Multi-Arch
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Rafael Fonseca
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On: 1847363
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 15:44 UTC by David Eads
Modified: 2020-10-27 16:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:45:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25555 0 None closed Bug 1882454: test/apiserver: replace centos by ubi 2020-10-27 12:16:42 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:45:22 UTC

Description David Eads 2020-09-24 15:44:31 UTC
Cmd: "oc --namespace=e2e-test-apiserver-f76qx --kubeconfig=/tmp/admin.kubeconfig debug node/ci-op-tjzfzjcn-486b5-lzwlc-master-0 --image=docker.io/library/centos:latest -- chroot /host /bin/bash -euxo pipefail -c oc --kubeconfig \"/etc/kubernetes/static-pod-resources/kube-apiserver-certs/secrets/node-kubeconfigs/localhost-recovery.kubeconfig\" get namespace kube-system",
        StdErr: "Starting pod/ci-op-tjzfzjcn-486b5-lzwlc-master-0-debug ...\nTo use host binaries, run `chroot /host`\n\nRemoving debug pod ...\nerror: Back-off pulling image \"docker.io/library/centos:latest\"",

from https://prow.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-remote-libvirt-s390x-4.6/1308979535697416192

and 

https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-informing#release-openshift-origin-installer-e2e-remote-libvirt-s390x-4.6

Comment 1 Jeremy Poulin 2020-09-24 18:13:55 UTC
Moving this to multi-arch component since this is already something we're investigating.
The error is that the underlying image is using centos, which isn't supported for s390x.

Comment 2 Rafael Fonseca 2020-09-24 18:20:33 UTC
I have a PR replacing some of the centos images with ubi: https://github.com/openshift/origin/pull/25491, but I'm still missing the centos images being used in the /testdata/ directories.

Comment 3 Dan Li 2020-09-28 15:32:24 UTC
Hi Rafael, will this bug be resolved before the end of this Sprint (October 3rd)? If not, I would like to add an "UpcomingSprint" label

Comment 4 Rafael Fonseca 2020-09-28 15:36:48 UTC
I hope to get the PR merged this week but it depends on the Openshift team reviewing and approving the changes.

Comment 5 Dan Li 2020-09-28 15:38:27 UTC
Okay - will check in with you later this week.

Comment 9 errata-xmlrpc 2020-10-27 16:45:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.